APP_DIR=$(dirname ${BASH_SOURCE})

export XDEBUG_REMOTE_HOST=172.17.0.1
{% if (xdebug_version == '3') %}
export XDEBUG_CONFIG="start_with_request=trigger client_host=${XDEBUG_REMOTE_HOST} client_port=9000"
export XDEBUG_MODE=debug
{% else %}
export XDEBUG_CONFIG="remote_enable=1 remote_autostart=1 remote_host=${XDEBUG_REMOTE_HOST} remote_connect_back=0 remote_port=9000"
{% endif %}
export PHP_IDE_CONFIG=serverName=web

#
# Docker compose function.
#
function docker-compose() {
  CURRENT_DIR=$(pwd)
  cd ${APP_DIR}
  $(which docker-compose) "$@"
  cd ${CURRENT_DIR}
}

{% set aliasdc="alias dc-exec='docker-compose exec -e PHP_IDE_CONFIG -e XDEBUG_CONFIG" %}
{% if (xdebug_version == '3') %}
# Trigger xdebug with the trigger: ex. "XDEBUG_TRIGGER=1 drush cr"
{{ aliasdc|raw }} -e XDEBUG_MODE -e XDEBUG_TRIGGER'
{% else %}
{{ aliasdc|raw }}'
{% endif %}
alias drush='dc-exec -u www-data drupal {{ drush_bin_path }} --root={{ drupal_root }} -l {{ drupal_uri }}'
alias drupal='dc-exec -u www-data drupal {{ drupal_bin_path }} --root={{ drupal_root }} --uri={{ drupal_uri }}'
alias robo='dc-exec -u www-data drupal {{ robo_bin_path }}'
